- Main Page
- Namespaces
- Data Structures
- Files

- Search for |

- Data Structures
- Data Fields

# datas Struct Reference

datas struct declaration More...

`#include <Datas.h>`

## Data Fields
double | x_foils
double | tanCal_yaw0
double | tanAngle_sail
double | G_shift
double | alpha_foils
double | Wind_angle
double | z_foils
double | g
double | Long
double | tanCal_left
double | tanCal_right
double | tanCal_pitch
double | alpha_left
double | alpha_right
double | y_foil_left
double | y_foil_right
double | L_mast
double | x_sail
double | y_sail
double | z_sail
double | A_sail
double | Baume
double | A_structure
double | CD_structure
double | Ix
double | Iy
double | Iz
double | M
double | E_foils
double | Chord
double | Chord_min
double | Chord_max
double | epsilon
double | rho
double | rho_air
double | E_yaw
double | Env_pitch
double | Chord_yaw
double | Chord_pitch
double | A_pitch
double | x_yaw
double | y_yaw
double | z_yaw
double | x_pitch
double | y_pitch
double | z_pitch
double | Wind
double | Wind_x
double | Wind_y
double | Env
double | Lambda0
double | Wave_angle0
double | Wave_amp0
double | V_wave0
double | Lambda [2]
double | Wave_angle [2]
double | Wave_amp [2]
double | V_wave [2]
int | N
double | Lambda1
double | Lambda2
double | Wave_amp1
double | Wave_amp2
double | V_wave1
double | V_wave2
double | Wave_angle1
double | Wave_angle2
double | x
double | y
double | z
double | phi
double | theta
double | psi
double | dx
double | dy
double | dz
double | dphi
double | dtheta
double | dpsi
double | x_cam
double | y_cam
double | z_cam
double | dx_cam
double | dy_cam
double | dz_cam
double | tanCal_yaw
double | EE_left
double | EE_right
double | EE_yaw
double | EE_left_flat
double | EE_right_flat
double | EE_yaw_flat
double | Fac_update
double | Equ_left
double | Equ_right
double | Equ_yaw
double | dEqu_left
double | dEqu_right
double | dEqu_yaw
int | k
double | Tan_AoA_left
double | Tan_AoA_right
double | Tan_AoA_pitch
double | Tan_AoA_yaw
double | Tan_AoA_sail
double | Force_G_E1
double | Force_G_E2
double | Force_G_E3
double | Torque_G_E1
double | Torque_G_E2
double | Torque_G_E3
double | Force_left [3]
double | Force_right [3]
double | Force_pitch [3]
double | Force_yaw [3]
double | Force_sail [3]
double | Force_drag [3]
double | ddq [6]
double | t
double | A_left
double | CD_left
double | CL_left
double | CD_right
double | A_right
double | CL_right
double | CD_pitch
double | CL_pitch
double | A_yaw
double | CD_yaw
double | CL_yaw
double | CD_sail
double | CL_sail
double | Chord_right
double | Chord_left
double | AR_left
double | AR_right
double | AR_yaw
double | AR_pitch
double | AR_sail
double | gamma
double | dd_cam [3]
double | d_cam [3]
double | L_nose
double | verif [26]
float | target_x
float | target_y
float | Vslider_x
float | Hslider_x
double | Cal_left_neutral
double | Cal_right_neutral
double | Cal_pitch_neutral
double | Cal_yaw_neutral
double | angle_girouette
double | max_abs_angle_baume

## Detailed Description

datas struct declaration

datas contains all variables related to the model (a lot) plus some other.
Many functions take a pointer *d to this struct

Definition at line 44 of file Datas.h.

## Field Documentation

double datas::A_left

Definition at line 220 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::A_pitch

Definition at line 101 of file Datas.h.

Referenced by aero_coeff_control(), data_init(), forces_all_compute(), and forces_compute().

double datas::A_right

Definition at line 224 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::A_sail

Definition at line 73 of file Datas.h.

Referenced by data_init(), forces_all_compute(), and forces_compute().

double datas::A_structure

Definition at line 75 of file Datas.h.

Referenced by data_init(), forces_all_compute(), and forces_compute().

double datas::A_yaw

Definition at line 228 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::alpha_foils

Definition at line 50 of file Datas.h.

Referenced by data_update_param().

double datas::alpha_left

Definition at line 62 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), EE_flat_compute(), equ_compute(), forces_all_compute(), and forces_compute().

double datas::alpha_right

Definition at line 63 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), EE_flat_compute(), equ_compute(), forces_all_compute(), and forces_compute().

double datas::angle_girouette

Definition at line 267 of file Datas.h.

Referenced by data_update_param(), do_on_keystate(), and Girouette_draw().

double datas::AR_left

Definition at line 238 of file Datas.h.

Referenced by aero_coeff_control().

double datas::AR_pitch

Definition at line 241 of file Datas.h.

Referenced by aero_coeff_control().

double datas::AR_right

Definition at line 239 of file Datas.h.

Referenced by aero_coeff_control().

double datas::AR_sail

Definition at line 242 of file Datas.h.

Referenced by aero_coeff_control().

double datas::AR_yaw

Definition at line 240 of file Datas.h.

Referenced by aero_coeff_control().

double datas::Baume

Definition at line 74 of file Datas.h.

Referenced by angles_compute(), data_init(), forces_all_compute(), forces_compute(), and Sail_create_and_draw().

double datas::Cal_left_neutral

Definition at line 261 of file Datas.h.

Referenced by angles_update(), and data_update_param().

double datas::Cal_pitch_neutral

Definition at line 263 of file Datas.h.

Referenced by angles_update(), and data_update_param().

double datas::Cal_right_neutral

Definition at line 262 of file Datas.h.

Referenced by angles_update(), and data_update_param().

double datas::Cal_yaw_neutral

Definition at line 264 of file Datas.h.

Referenced by angles_update(), and data_update_param().

double datas::CD_left

Definition at line 221 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::CD_pitch

Definition at line 226 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::CD_right

Definition at line 223 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::CD_sail

Definition at line 231 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::CD_structure

Definition at line 76 of file Datas.h.

Referenced by data_init(), forces_all_compute(), and forces_compute().

double datas::CD_yaw

Definition at line 229 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::Chord

Definition at line 84 of file Datas.h.

Referenced by aero_coeff_control(), and data_init().

double datas::Chord_left

Definition at line 237 of file Datas.h.

Referenced by aero_coeff_control().

double datas::Chord_max

Definition at line 88 of file Datas.h.

Referenced by aero_coeff_control(), angles_compute(), Boat_create(), data_init(), forces_all_compute(), and forces_compute().

double datas::Chord_min

Definition at line 87 of file Datas.h.

Referenced by aero_coeff_control(), angles_compute(), Boat_create(), data_init(), forces_all_compute(), and forces_compute().

double datas::Chord_pitch

Definition at line 99 of file Datas.h.

Referenced by Boat_create(), and data_init().

double datas::Chord_right

Definition at line 236 of file Datas.h.

Referenced by aero_coeff_control().

double datas::Chord_yaw

Definition at line 98 of file Datas.h.

Referenced by Boat_create(), and data_init().

double datas::CL_left

Definition at line 222 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::CL_pitch

Definition at line 227 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::CL_right

Definition at line 225 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::CL_sail

Definition at line 232 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::CL_yaw

Definition at line 230 of file Datas.h.

Referenced by aero_coeff_control(), forces_all_compute(), and forces_compute().

double datas::d_cam[3]

Definition at line 247 of file Datas.h.

double datas::dd_cam[3]

Definition at line 246 of file Datas.h.

double datas::ddq[6]

Definition at line 212 of file Datas.h.

Referenced by acceleration_compute(), and f().

double datas::dEqu_left

Definition at line 182 of file Datas.h.

Referenced by compute_state_dot(), and equ_compute().

double datas::dEqu_right

Definition at line 183 of file Datas.h.

Referenced by compute_state_dot(), and equ_compute().

double datas::dEqu_yaw

Definition at line 184 of file Datas.h.

Referenced by compute_state_dot(), and equ_compute().

double datas::dphi

Definition at line 151 of file Datas.h.

Referenced by acceleration_compute(), angles_compute(), data_update_state(), f(), forces_all_compute(), and forces_compute().

double datas::dpsi

Definition at line 153 of file Datas.h.

Referenced by acceleration_compute(), angles_compute(), data_update_state(), f(), forces_all_compute(), and forces_compute().

double datas::dtheta

Definition at line 152 of file Datas.h.

Referenced by acceleration_compute(), angles_compute(), data_update_state(), f(), forces_all_compute(), and forces_compute().

double datas::dx

Definition at line 147 of file Datas.h.

Referenced by angles_compute(), data_update_state(), DrawGLScene(), f(), forces_all_compute(), forces_compute(), Girouette_draw(), and RelativeWind_draw().

double datas::dx_cam

Definition at line 159 of file Datas.h.

double datas::dy

Definition at line 148 of file Datas.h.

Referenced by angles_compute(), data_update_state(), DrawGLScene(), f(), forces_all_compute(), forces_compute(), Girouette_draw(), and RelativeWind_draw().

double datas::dy_cam

Definition at line 160 of file Datas.h.

double datas::dz

Definition at line 149 of file Datas.h.

Referenced by angles_compute(), data_update_state(), f(), forces_all_compute(), and forces_compute().

double datas::dz_cam

Definition at line 161 of file Datas.h.

double datas::E_foils

Definition at line 83 of file Datas.h.

Referenced by aero_coeff_control(), angles_compute(), Boat_create(), compute_state_dot(), data_init(), forces_all_compute(), and forces_compute().

double datas::E_yaw

Definition at line 94 of file Datas.h.

Referenced by aero_coeff_control(), angles_compute(), Boat_create(), compute_state_dot(), data_init(), data_update_param(), forces_all_compute(), and forces_compute().

double datas::EE_left

Definition at line 168 of file Datas.h.

Referenced by aero_coeff_control(), angles_compute(), compute_state_dot(), equ_compute(), forces_all_compute(), and forces_compute().

double datas::EE_left_flat

Definition at line 171 of file Datas.h.

Referenced by compute_state_dot(), and EE_flat_compute().

double datas::EE_right

Definition at line 169 of file Datas.h.

Referenced by aero_coeff_control(), angles_compute(), compute_state_dot(), equ_compute(), forces_all_compute(), and forces_compute().

double datas::EE_right_flat

Definition at line 172 of file Datas.h.

Referenced by compute_state_dot(), and EE_flat_compute().

double datas::EE_yaw

Definition at line 170 of file Datas.h.

Referenced by aero_coeff_control(), angles_compute(), compute_state_dot(), equ_compute(), forces_all_compute(), and forces_compute().

double datas::EE_yaw_flat

Definition at line 173 of file Datas.h.

Referenced by compute_state_dot(), and EE_flat_compute().

double datas::Env

Definition at line 115 of file Datas.h.

Referenced by data_update_param().

double datas::Env_pitch

Definition at line 96 of file Datas.h.

Referenced by Boat_create(), and data_init().

double datas::epsilon

Definition at line 89 of file Datas.h.

Referenced by compute_state_dot(), and data_init().

double datas::Equ_left

Definition at line 179 of file Datas.h.

Referenced by compute_state_dot(), and equ_compute().

double datas::Equ_right

Definition at line 180 of file Datas.h.

Referenced by compute_state_dot(), and equ_compute().

double datas::Equ_yaw

Definition at line 181 of file Datas.h.

Referenced by compute_state_dot(), and equ_compute().

double datas::Fac_update

Definition at line 176 of file Datas.h.

Referenced by compute_state_dot(), data_init(), and data_update_param().

double datas::Force_drag[3]

Definition at line 209 of file Datas.h.

Referenced by forces_all_compute().

double datas::Force_G_E1

Definition at line 196 of file Datas.h.

Referenced by acceleration_compute(), and forces_compute().

double datas::Force_G_E2

Definition at line 197 of file Datas.h.

Referenced by acceleration_compute(), and forces_compute().

double datas::Force_G_E3

Definition at line 198 of file Datas.h.

Referenced by acceleration_compute(), and forces_compute().

double datas::Force_left[3]

Definition at line 204 of file Datas.h.

Referenced by forces_all_compute().

double datas::Force_pitch[3]

Definition at line 206 of file Datas.h.

Referenced by forces_all_compute().

double datas::Force_right[3]

Definition at line 205 of file Datas.h.

Referenced by forces_all_compute().

double datas::Force_sail[3]

Definition at line 208 of file Datas.h.

Referenced by forces_all_compute().

double datas::Force_yaw[3]

Definition at line 207 of file Datas.h.

Referenced by forces_all_compute().

double datas::g

Definition at line 54 of file Datas.h.

Referenced by acceleration_compute(), and data_init().

double datas::G_shift

Definition at line 49 of file Datas.h.

Referenced by data_update_param().

double datas::gamma

Definition at line 243 of file Datas.h.

Referenced by aero_coeff_control().

float datas::Hslider_x

Definition at line 258 of file Datas.h.

Referenced by angles_update(), data_init(), do_on_keystate(), and DrawGLScene().

double datas::Ix

Definition at line 78 of file Datas.h.

Referenced by acceleration_compute(), and data_init().

double datas::Iy

Definition at line 79 of file Datas.h.

Referenced by acceleration_compute(), and data_init().

double datas::Iz

Definition at line 80 of file Datas.h.

Referenced by acceleration_compute(), and data_init().

int datas::k

Definition at line 186 of file Datas.h.

double datas::L_mast

Definition at line 68 of file Datas.h.

Referenced by Boat_create(), data_init(), data_update_param(), RelativeWind_draw(), and Sail_create_and_draw().

double datas::L_nose

Definition at line 251 of file Datas.h.

Referenced by data_init().

double datas::Lambda[2]

Definition at line 122 of file Datas.h.

Referenced by data_update_param().

double datas::Lambda0

Definition at line 117 of file Datas.h.

Referenced by data_update_param(), equ_compute(), and wave_z_compute().

double datas::Lambda1

Definition at line 129 of file Datas.h.

Referenced by data_update_param(), equ_compute(), and wave_z_compute().

double datas::Lambda2

Definition at line 130 of file Datas.h.

Referenced by data_update_param(), equ_compute(), and wave_z_compute().

double datas::Long

Definition at line 56 of file Datas.h.

Referenced by Boat_create(), data_init(), and data_update_param().

double datas::M

Definition at line 81 of file Datas.h.

Referenced by acceleration_compute(), and data_init().

double datas::max_abs_angle_baume

Definition at line 268 of file Datas.h.

Referenced by data_update_param(), and do_on_keystate().

int datas::N

Definition at line 127 of file Datas.h.

Referenced by data_update_param().

double datas::phi

Definition at line 143 of file Datas.h.

Referenced by acceleration_compute(), angles_compute(), data_update_state(), DrawGLScene(), EE_flat_compute(), equ_compute(), forces_all_compute(), forces_compute(), and RelativeWind_draw().

double datas::psi

Definition at line 145 of file Datas.h.

Referenced by acceleration_compute(), angles_compute(), data_update_state(), DrawGLScene(), EE_flat_compute(), equ_compute(), forces_all_compute(), forces_compute(), and RelativeWind_draw().

double datas::rho

Definition at line 91 of file Datas.h.

Referenced by data_init(), forces_all_compute(), and forces_compute().

double datas::rho_air

Definition at line 92 of file Datas.h.

Referenced by data_init(), forces_all_compute(), and forces_compute().

double datas::t

Definition at line 219 of file Datas.h.

Referenced by do_on_keystate(), equ_compute(), main(), solve_ODE(), and wave_z_compute().

double datas::Tan_AoA_left

Definition at line 189 of file Datas.h.

Referenced by aero_coeff_control(), and angles_compute().

double datas::Tan_AoA_pitch

Definition at line 191 of file Datas.h.

Referenced by aero_coeff_control(), and angles_compute().

double datas::Tan_AoA_right

Definition at line 190 of file Datas.h.

Referenced by aero_coeff_control(), and angles_compute().

double datas::Tan_AoA_sail

Definition at line 193 of file Datas.h.

Referenced by aero_coeff_control(), and angles_compute().

double datas::Tan_AoA_yaw

Definition at line 192 of file Datas.h.

Referenced by aero_coeff_control(), and angles_compute().

double datas::tanAngle_sail

Definition at line 48 of file Datas.h.

Referenced by angles_compute(), data_update_param(), do_on_keystate(), forces_all_compute(), forces_compute(), Girouette_draw(), and Sail_create_and_draw().

double datas::tanCal_left

Definition at line 58 of file Datas.h.

Referenced by angles_compute(), angles_update(), data_init(), and data_update_param().

double datas::tanCal_pitch

Definition at line 60 of file Datas.h.

Referenced by angles_compute(), angles_update(), and data_init().

double datas::tanCal_right

Definition at line 59 of file Datas.h.

Referenced by angles_compute(), angles_update(), data_init(), and data_update_param().

double datas::tanCal_yaw

Definition at line 164 of file Datas.h.

Referenced by angles_compute(), angles_update(), and data_update_param().

double datas::tanCal_yaw0

Definition at line 47 of file Datas.h.

Referenced by angles_update(), and data_update_param().

float datas::target_x

Definition at line 257 of file Datas.h.

Referenced by angles_update(), data_init(), do_on_keystate(), and DrawGLScene().

float datas::target_y

Definition at line 257 of file Datas.h.

Referenced by angles_update(), data_init(), do_on_keystate(), and DrawGLScene().

double datas::theta

Definition at line 144 of file Datas.h.

Referenced by acceleration_compute(), angles_compute(), data_update_state(), DrawGLScene(), EE_flat_compute(), equ_compute(), forces_all_compute(), forces_compute(), and RelativeWind_draw().

double datas::Torque_G_E1

Definition at line 199 of file Datas.h.

Referenced by acceleration_compute(), and forces_compute().

double datas::Torque_G_E2

Definition at line 200 of file Datas.h.

Referenced by acceleration_compute(), and forces_compute().

double datas::Torque_G_E3

Definition at line 201 of file Datas.h.

Referenced by acceleration_compute(), and forces_compute().

double datas::V_wave[2]

Definition at line 125 of file Datas.h.

Referenced by data_update_param().

double datas::V_wave0

Definition at line 120 of file Datas.h.

Referenced by data_init(), data_update_param(), equ_compute(), and wave_z_compute().

double datas::V_wave1

Definition at line 133 of file Datas.h.

Referenced by data_update_param(), equ_compute(), and wave_z_compute().

double datas::V_wave2

Definition at line 134 of file Datas.h.

Referenced by data_update_param(), equ_compute(), and wave_z_compute().

double datas::verif[26]

Definition at line 255 of file Datas.h.

float datas::Vslider_x

Definition at line 258 of file Datas.h.

Referenced by angles_update(), data_init(), do_on_keystate(), and DrawGLScene().

double datas::Wave_amp[2]

Definition at line 124 of file Datas.h.

Referenced by data_update_param(), and do_on_keystate().

double datas::Wave_amp0

Definition at line 119 of file Datas.h.

Referenced by data_init(), data_update_param(), do_on_keystate(), equ_compute(), and wave_z_compute().

double datas::Wave_amp1

Definition at line 131 of file Datas.h.

Referenced by data_update_param(), do_on_keystate(), equ_compute(), and wave_z_compute().

double datas::Wave_amp2

Definition at line 132 of file Datas.h.

Referenced by data_update_param(), do_on_keystate(), equ_compute(), and wave_z_compute().

double datas::Wave_angle[2]

Definition at line 123 of file Datas.h.

Referenced by data_update_param().

double datas::Wave_angle0

Definition at line 118 of file Datas.h.

Referenced by data_init(), data_update_param(), equ_compute(), and wave_z_compute().

double datas::Wave_angle1

Definition at line 135 of file Datas.h.

Referenced by data_update_param(), equ_compute(), and wave_z_compute().

double datas::Wave_angle2

Definition at line 136 of file Datas.h.

Referenced by data_update_param(), equ_compute(), and wave_z_compute().

double datas::Wind

Definition at line 111 of file Datas.h.

Referenced by data_init(), data_update_param(), do_on_keystate(), and DrawGLScene().

double datas::Wind_angle

Definition at line 51 of file Datas.h.

Referenced by data_update_param(), and do_on_keystate().

double datas::Wind_x

Definition at line 112 of file Datas.h.

Referenced by angles_compute(), data_update_param(), do_on_keystate(), DrawGLScene(), forces_all_compute(), forces_compute(), Girouette_draw(), and RelativeWind_draw().

double datas::Wind_y

Definition at line 113 of file Datas.h.

Referenced by angles_compute(), data_update_param(), do_on_keystate(), DrawGLScene(), forces_all_compute(), forces_compute(), Girouette_draw(), and RelativeWind_draw().

double datas::x

Definition at line 139 of file Datas.h.

Referenced by data_update_state(), DrawGLScene(), equ_compute(), and wave_z_compute().

double datas::x_cam

Definition at line 155 of file Datas.h.

double datas::x_foils

Definition at line 46 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), EE_flat_compute(), equ_compute(), forces_all_compute(), and forces_compute().

double datas::x_pitch

Definition at line 107 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), forces_all_compute(), and forces_compute().

double datas::x_sail

Definition at line 70 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), forces_all_compute(), forces_compute(), RelativeWind_draw(), and Sail_create_and_draw().

double datas::x_yaw

Definition at line 103 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), EE_flat_compute(), equ_compute(), forces_all_compute(), and forces_compute().

double datas::y

Definition at line 140 of file Datas.h.

Referenced by data_update_state(), DrawGLScene(), equ_compute(), and wave_z_compute().

double datas::y_cam

Definition at line 156 of file Datas.h.

double datas::y_foil_left

Definition at line 65 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), EE_flat_compute(), equ_compute(), forces_all_compute(), and forces_compute().

double datas::y_foil_right

Definition at line 66 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), EE_flat_compute(), equ_compute(), forces_all_compute(), and forces_compute().

double datas::y_pitch

Definition at line 108 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), forces_all_compute(), and forces_compute().

double datas::y_sail

Definition at line 71 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), forces_all_compute(), forces_compute(), RelativeWind_draw(), and Sail_create_and_draw().

double datas::y_yaw

Definition at line 104 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), EE_flat_compute(), equ_compute(), forces_all_compute(), and forces_compute().

double datas::z

Definition at line 141 of file Datas.h.

Referenced by data_update_state(), DrawGLScene(), EE_flat_compute(), and equ_compute().

double datas::z_cam

Definition at line 157 of file Datas.h.

double datas::z_foils

Definition at line 52 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), EE_flat_compute(), equ_compute(), forces_all_compute(), forces_compute(), RelativeWind_draw(), and Sail_create_and_draw().

double datas::z_pitch

Definition at line 109 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), forces_all_compute(), and forces_compute().

double datas::z_sail

Definition at line 72 of file Datas.h.

Referenced by angles_compute(), data_update_param(), forces_all_compute(), and forces_compute().

double datas::z_yaw

Definition at line 105 of file Datas.h.

Referenced by angles_compute(), Boat_create(), data_update_param(), EE_flat_compute(), equ_compute(), forces_all_compute(), and forces_compute().

The documentation for this struct was generated from the following file:

- HydroSDL/hydro_source/Datas.h